Обновляем ядро CentOS 6.X до актуальной ветки

13 Jul 2018 | Автор: anchous |

В процессе ковыряния CentOS столкнулся с тем, что 6.9 идет с совершенно древним ядром, не поддерживающим довольно важную фичу, ради который все и затевалось.

Так что встал вопрос, как проапгрейдить ядро, на актуальное.

Для начала уточняем версию ядра нашей центосины
# uname -sr
Linux 2.6.32-696.30.1.el6.x86_64
# cat /etc/redhat-release
CentOS release 6.9 (Final)

На момент написания статьи актуальное ядро 4.17.6, что можно глянуть на сайте https://www.kernel.org/

Сначала грейдим систему через основную команду
# yum upgrade
Импортируем публичные ключи:
# rpm --import https://www.elrepo.org/RPM-GPG-KEY-elrepo.org
Добавляем ELRepo  репозиторий (актуальный на данный момент)
# rpm -Uvh http://www.elrepo.org/elrepo-release-6-8.el6.elrepo.noarch.rpm

варианты загрузки ядра CentOSУстанавливаем нужно ядро

для 4.X (я ставил его)
# yum --enablerepo=elrepo-kernel install kernel-ml-4.*

для 3.X
# yum --enablerepo=elrepo-kernel install kernel-ml-3.*

открываем загрузчик  /boot/grub/grub.conf на редактирование и выставляем первую позицию ядра, т.е вместо default=1 ставим default=0 т.к версии нумеруются с нуля и на картинке система грузится со второй строчки CentOS (2.6.32-754.el6.x86_64).

Перегружаем машину, радуемся полученному эффекту
# uname -sr
Linux 4.17.6-1.el6.elrepo.x86_64

З.Ы как сейчас заметили в комментах, команда yum –enablerepo=elrepo-kernel install kernel-ml-4.* перестала работать. Происходит это из-за того, что в декабре-январе отключили поддержку mainline stable ветки ядра для CentOS 6.X, поэтому теперь необходимо использовать ветку long term support
# yum –enablerepo=elrepo-kernel install kernel-lt

VN:F [1.9.21_1169]
Rating: 10.0/10 (1 vote cast)
VN:F [1.9.21_1169]
Rating: 0 (from 0 votes)
Обновляем ядро CentOS 6.X до актуальной ветки, 10.0 out of 10 based on 1 rating

Теги:

Отзывов: 4 на «Обновляем ядро CentOS 6.X до актуальной ветки»

  1. Автор: Макс на 21 Feb 2019

    [root@centos6 linux-3.2.48]# yum –enablerepo=elrepo-kernel install kernel-ml-4.*
    Loaded plugins: fastestmirror, security
    Setting up Install Process
    Loading mirror speeds from cached hostfile
    * base: mirror.sale-dedic.com
    * elrepo: mirrors.colocall.net
    * elrepo-kernel: mirrors.colocall.net
    * extras: mirror.sale-dedic.com
    * updates: mirror.sale-dedic.com
    elrepo | 2.9 kB 00:00
    elrepo/primary_db | 791 kB 00:00
    elrepo-kernel | 2.9 kB 00:00
    elrepo-kernel/primary_db | 13 kB 00:00
    No package kernel-ml-4.* available.
    Error: Nothing to do

    [Reply]

    anchous Reply:

    в начале года закрыли ml ветку для шестерки, т.ч надо юзать kernel-lt

    [Reply]

    VN:F [1.9.21_1169]
    Rating: 5.0/5 (1 vote cast)
    VN:F [1.9.21_1169]
    Rating: 0 (from 0 votes)
  2. Автор: Макс на 22 Feb 2019

    >Происходит это из-за того, что в декабре-январе >отключили поддержку mainline stable ветки ядра для >CentOS 6.X, поэтому теперь необходимо использовать >ветку long term support
    # yum –enablerepo=elrepo-kernel install kernel-mlнаверное, всё же
    yum –enablerepo=elrepo-kernel install kernel-lt

    ?)))

    [Reply]

    anchous Reply:

    ага, апшыпка вкралась

    [Reply]

    VN:F [1.9.21_1169]
    Rating: 0.0/5 (0 votes cast)
    VN:F [1.9.21_1169]
    Rating: 0 (from 0 votes)

Ваш отзыв